"""
HelperFunctions.py - general use functions for python

Use of this code is subject to the terms of the StarDrop License Agreement and
use, copying or redistribution of this file for use by other persons or
organisations is prohibited

Copyright(C) Optibrium Ltd 2016
stardrop-support@optibrium.com
"""

import sys
import os
import traceback


def print_traceback():
    """Prints the stack trace, mostly used for exceptions and debugging"""

    print
    print traceback.format_exc()
    print


def extract_filename(path):
    """
    Extracts the filename from a path to a file

    :param path: Path to a file
    :return:     The filename
    """
    filename = os.path.basename(path)
    name = os.path.splitext(filename)[0]
    return name
